Smart Proxy - Bug #12597

Smart Proxy DNS tests have an extra method definition that is upsetting rubocop
11/24/2015 06:38 PM - Aaron Stone

Status: Closed
Priority: Normal
Assignee: Aaron Stone
Category: Tests
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/350
Description

The Smart Proxy Rubocop Jenkins is failing because of this test, which has an inexplicable nested definition:

def test_delete_returns_error_if_value_is_missing
def test_create_returns_error_if_type_is_missing
delete /'
assert_equal 400, last_response.status
end
end
Relates to #12209

Related issues:

Related to Smart Proxy - Feature #12209: Introduce support for dependency inj...

Closed

10/19/2015

Associated revisions

Revision bef9bee9 - 11/26/2015 07:52 AM - Aaron Stone

Fixes #12597: remove extraneous method definition in the DNS API tests

And removed redundant validation in dns api 'delete’ call

History

#1 - 11/24/2015 06:40 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Aaron Stone

- Pull request https://github.com/theforeman/smart-proxy/pull/350 added

#2 - 11/25/2015 03:18 AM - Dominic Cleal
- Project changed from Foreman to Smart Proxy

- Category set to Tests

#3 - 11/25/2015 03:19 AM - Dominic Cleal

- Related to Feature #12209: Introduce support for dependency injection in dns module added

#4 - 11/26/2015 08:01 AM - Aaron Stone
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset bef9bee933a01474b631{8fc88dfba5924b7b973.
https://projects.theforeman.org/issues/12209
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/bef9bee933a01474b631f8fc88dfba5924b7b973

#5 - 11/26/2015 08:04 AM - Dominic Cleal

- translation missing: en.field_release set to 71
